### EZOpenSDK V5.31
2026-08-24
>1、支持AI云存储功能
>2、修复已知问题

### EZOpenSDK V5.30
2026-07-30
>1、openssl升级至3.0.21
>2、修复已知问题

### EZOpenSDK V5.29
2026-07-08
>1、修复已知问题

### EZOpenSDK V5.28.4
2026-06-08
>1、支持机房故障时自动切换备用机房，提升取流稳定性
>2、支持纯音频播放
>3、修复已知问题

### EZOpenSDK V5.27.2
2026-02-09
>1、支持Google Android15 16KB页面大小
>2、支持SD卡录像分页加载，及直查
>3、支持NVR下的IPC设备SD卡录像直接取流
>4、修复已知问题

### EZOpenSDK V5.26
2025-12-15
>1、支持客户端带宽检测
>2、修复已知问题

### EZOpenSDK V5.25.1
2025-10-24
>1、预览、回放画面支持水印设置、水印截图、水印录制
>2、修复已知问题

### EZOpenSDK V5.24
2025-08-12
>1、全双工对讲时支持设置设备端静音
>2、AP配网是否支持5G频段能力集开放
>3、修复已知问题

### EZOpenSDK V5.23.2
2025-07-24
>1、支持播放画面90°、180°、270°旋转
>2、支持设备焦距调整（需设备支持）
>3、修复已知问题

### EZOpenSDK V5.22
2025-06-30
>1、支持对讲时本地音频音量大小实时回调
>2、修复已知问题

### EZOpenSDK V5.21
2025-05-23
>1、支持S10屏类设备视频通话能力
>2、支持禁用内网直连
>3、修复已知问题

### EZOpenSDK V5.20
2025-03-07
>1、支持预览指定性能或画质优先（会增加出画面耗时）
>2、支持预览自动清晰度，需设备能力支持
>3、修复已知问题

### EZOpenSDK V5.19
2025-02-14
>1、支持回放从CVR中心取流
>2、修复已知问题

### EZOpenSDK V5.18
2024-12-10
>1、支持双摄设备取流等功能
>2、对讲移除取流密码或验证码校验
>3、回放seek优化
>4、修复已知问题

### EZOpenSDK V5.17.1
2024-10-25
>1、支持国标设备回放显示时间戳

### EZOpenSDK V5.16
2024-10-09
>1、支持霍曼蓝牙配网
>2、支持海外新协议AP配网

### EZOpenSDK V5.15
2024-09-25
>1、支持获取视频编码格式
>2、支持获取设备能力集中的清晰度数据

### EZOpenSDK V5.14
2024-09-14
>1、国内全面支持小权限tkToken

### EZOpenSDK V5.13
2024-06-11
>1、修复已知问题

### EZOpenSDK V5.12
2024-04-20
>1、支持云录制相关功能
>2、修复已知问题

### EZOpenSDK V5.11
2024-04-01
>1、新增国内云台控制新接口EZOpenSDK.controlPTZMix
>2、修复已知问题

### EZOpenSDK V5.10.1
2024-02-27
>1、支持小权限token取流
>2、修复已知问题

### EZOpenSDK V5.9
2024-02-19
>1、支持国内浓缩回放录像下载
>2、支持对讲变声（需开通服务）

### EZOpenSDK V5.8
2024-01-17
>1、支持海外浓缩回放录像下载
>2、新增国内云台控制新接口EZOpenSDK.controlPTZMix
>3、修复已知问题

### EZOpenSDK V5.7
2023-12-21
>1、支持华住私有云AI回放
>2、兼容网关下子设备预览、对讲、回放
>3、局域网登录部分设备失败bug修复

### EZOpenSDK V5.6.1
2023-12-6
>1、修复已知问题

### EZOpenSDK V5.6
2023-10-26
>1、支持接触式AP配网

### EZOpenSDK V5.5
2023-10-10
>1、鱼眼设备预览和回放支持多种矫正模式
>2、openssl升级至1.1.1v，修复安全漏洞
>3、修复已知问题

### EZOpenSDK V5.4.1
2023-08-25
>1、支持EZLink配网，新设备新配网方式
>2、“是否支持SD卡录像下载”和“内网直连下是否支持倍数回放”api开放
>3、根据能力集位数自助获取能力集api开放
>4、对讲增加取流密码验证，跟iOS保持一致
>5、修复已知问题

### EZOpenSDK V5.3.1
2023-06-21
>1、openssl升级至1.1.1u，修复安全漏洞
>2、修复已知问题

### EZOpenSDK V5.3
2023-05-26
>1、新增接口EZPlay.setPlayerDisableP2P，该播放器不使用p2p取流
>2、修复已知问题

### EZOpenSDK V5.2.2
2023-05-08
>1、openssl升级至1.1.1t，修复安全漏洞
>2、新增云台控制新接口EZOpenSDK.controlPTZEx，支持0-7共8档
>3、修复已知问题

### EZOpenSDK V5.1.3
2023-03-30
>1、修复已知问题

### EZOpenSDK V5.1
2023-02-08
>1、支持门锁设备获取开门token
>2、支持SD卡录像封面展示

### EZOpenSDK V5.0.1
2022-12-05
>1、性能优化
>2、修复已知问题

### EZOpenSDK V4.20.1
2022-08-25
>1、支持开启智能分析
>2、修复已知问题

### EZOpenSDK V4.20.0
2022-07-25
>1、支持国标设备对讲

### EZOpenSDK V4.19.9
2022-06-27
>1、云存储录像下载支持下载进度回调

### EZOpenSDK V4.19.8
2022-05-09
>1、SD卡回放视频支持快速下载；
>2、Smart配网，查询设备状态支持自定义域名；
>3、设备云台操作时，可以显示角度比例尺；
>4、视频会议升级到1.7.4版本；

### EZOpenSDK V4.19.6
2022-04-18
>1、查询设备状态支持自定义域名；
>2、p2p相关4个接口提供；
>3、部分崩溃问题修复；

### EZOpenSDK V4.19.5.1
2022-03-08
>1、部分崩溃问题修复；

### EZOpenSDK V4.19.5
2022-03-01
>1、已知问题修复；
>2、视频会议升级到1.7.3版本；

### EZOpenSDK V4.19.4
2022-01-17
>1、海外云存储新增8个新接口；
>2、视频会议升级到1.7.1版本；

### EZOpenSDK V4.19.2
2022-01-04
>1、9.0系统以下配网bug修复；
>2、其他端修改验证码导致安卓端无法播放bug修复；
>3、AES-ECB模式加密导致无法上架谷歌市场问题修复，已更改为AES-CBC模式；
>4、其他已知问题修复；

### EZOpenSDK V4.19.0
2021-12-01
>1、视频会议升级到1.6版本；
>2、兼容Android11，去除外部存储读写权限；
>3、已知问题修复；

### EZOpenSDK V4.18.3
2021-11-03
>1、SD卡视频列表查询恢复老接口；

### EZOpenSDK V4.18.2
2021-10-28
>1、安全漏洞修复；

### EZOpenSDK V4.18.1
2021-10-27
>1、SADP库升级，修复无法搜索到设备的问题；

### EZOpenSDK V4.18.0
2021-10-19
>1、SD卡视频增加标签；
>2、修复部分崩溃问题；

### EZOpenSDK V4.16.8
2021-09-17
>1、增加提前打洞功能；
>2、修复sadp搜索设备异常问题；
>3、其它已知问题修复；

### EZOpenSDK V4.16.6
2021-06-10
>1、预览/回放支持全链路加密；
>2、修复NVR下IPC录像回放概率失败问题；
>3、修复混淆可能崩溃的问题；
>4、修复报警图片概率无法查看的问题；

### EZOpenSDK V4.13.0
>1、支持电子放大
>2、增加多窗口播放功能示例
>3、支持HUB设备预览（直播）和回放
>4、增强稳定性

### EZOpenSDK V4.12.0
>1、支持P2PV3，提高打洞成功率，提升取流速度
>2、支持获取原始码流，上层可利用播放库自行解码播放
>3、支持直连和P2P快速下载，提高设备录像下载速度

### EZOpenSDK V4.8.8.1
>1、更换网络请求库：HttpClient -> OkHttp
>2、https证书机制调整为：系统证书》预埋证书》下载证书
（预埋或者下载证书异常时，关闭https证书校验，遵循可用性大于安全性原则）
>3、更新通用库到3.3.0.1版本，解决拆分opensslwrap在nexus6（5.0）上崩溃的问题

### EZOpenSDK V4.8.8
>1、支持64位arm64-v8a（arm64-v8a）
>2、支持SD卡/云录像下载（用法见demo）
>3、支持连续云存储录像播放
>4、支持设置硬件解码优先
>5、openCloudPage接口加入通道号参数
>6、移除controlVideoFlip接口，可以通过http接口替代
（详情请访问https://open.ys7.com/doc/zh/book/index/device_ptz.html）

### EZOpenSDK V4.8.6.3
>1、解决ap配网在Android 9.0上成功率极低的问题
>2、优化ap配网逻辑，提高配网成功率
>3、解决设备音频格式为G711时录制功能失效的问题

### EZOpenSDK V4.8.6.2
>1、修复终端绑定bug
>2、新增硬件解码器优先接口

### EZOpenSDK V4.8.6
>1、更新底层取流播放库，优化播放性能
>2、增加设备信息缓存，播放优化，减少播放前耗时
>3、删除冗余代码

### EZOpenSDK V4.8.4
>1、支持AP热点配网
>2、修改添加前查询设备信息的接口
>3、修复播放328016错误
>4、去掉日志上报功能
>5、删除冗余代码

### EZOpenSDK V4.8.3
>1、增加声波配网和批量配网接口，配网回调中增加序列号返回
>2、更新底层取流播放库，优化播放性能
>3、增加hik设备激活功能
>4、优化NVR不在线时回放逻辑
>5、修复探测器相关bug
>6、修复云存储页面付款，返回页面加载异常错误

### EZOpenSDK V4.8.2
>1、通过H5界面登录后，授权信息自动刷新功能
>2、错误码收集功能

### EZOpenSDK V4.8.1
>1、优化取流播放流程，提升取流速度；
>2、修复已知Bug修复

### EZOpenSDK V4.8.0 build20171206
>1、优化取流播放流程，提升取流速度；
>2、增加xlog日志库
>3、优化对讲性能
>4、增加初始化接口initLib（Application application, String appKey），与之前初始化接口功能一样，减少不必要参数的传入
>5、修复已知Bug修复

### EZOpenSDK V4.7.1 build20171109
>1、播放支持SurfaceTexture；
>2、优化取流播放流程，提升取流速度；
>3、优化对讲错误码，新增120012添加设备失败错误码；
>4、增加播放相关数据埋点
>5、修复已知Bug修复

### EZOpenSDK V4.5.1 build20170721
>1、修复log信息中播放失败回调错误信息显示错误的bug；
>2、修复release版本log信息仍然部分输出的bug；
>3、修复0通道预览失败bug；

### EZOpenSDK V4.5.0 build20170605
>1、修复N1W多个挂载多个设备回放错乱问题
>2、登录页接口可以传入falg，页面跳转flag 类似Intent.FLAG_ACTIVITY_CLEAR_TOP
>3、新增清除SDK内部缓存数据接口clearStreamInfoCache()；
>4、优化取流流程
>5、已知Bug修复

### EZOpenSDK V4.4.0 build20170320
>1、通道信息EZCameraInfo类中新增通道支持的清晰度列表
>2、报警消息EZAlarmInfo类中新增报警视频存储位置标识
>3、优化取流流程
>4、Bug修复

### EZOpenSDK V4.3.0 build20161215
>1、SDK全面支持多通道p2p，有控制开关接口，省流量，从p2p做起；
>2、新增获取单个设备信息接口getDeviceInfo；
>3、startConfigWifi开始配置wifi接口优化参数变更，详见javadoc文档
>4、controlVideoFlip，此接口返回值修改为void，操作失败会抛出异常，错误码 exception.getErrorCode；详见javadoc
>5、新增获取设备识别码接口：getTerminalId
>6、libopensslwrap.so有更新
>7、修复部分bug；

### EZOpenSDK V4.3.0 build20161215
>1、SDK全面支持多通道p2p，有控制开关接口，省流量，从p2p做起；
>2、新增获取单个设备信息接口getDeviceInfo；
>3、startConfigWifi开始配置wifi接口优化参数变更，详见javadoc文档
>4、controlVideoFlip，此接口返回值修改为void，操作失败会抛出异常，错误码 exception.getErrorCode；详见javadoc
>5、新增获取设备识别码接口：getTerminalId
>6、libopensslwrap.so有更新
>7、修复部分bug；

### EZOpenSDK V4.2.0 build20161019
>1.SDK全面支持p2p，有控制开关接口，省流量，从p2p做起；
>2、修复部分bug；
>3.全面修改不合理的接口设计，对接更加轻松，老版本用户请关注FYI:4.2;

### FYI：4.2
A、接口对象更新记录：
 EZOpenSDK：开放平台总接口类：
新增 setVideoLevel设置指定监控点视频清晰度，播放过程中如果要切换清晰度需要用户调用该接口成功以后stopRealPlay再startRealPlay即可完成清晰度切换，详见api；
新增 getSharedDeviceList获取好友分享的设备列表，详见api；
修改createPlayer接口参数，详见api；
修改 createPlayerWithUrl接口参数，详见api；
修改接口getAlarmList，去除getAlarmListBySerial接口；
修改searchRecordFileFromCloud接口参数，详见api；
修改searchRecordFileFromDevice接口参数，详见api；
修改controlPTZ接口参数，详见api；
修改controlDisplay，替换为 controlVideoFlip，详见api；
设置布防状态接口统一使用setDefence，同时使其兼容IPC和非IPC设备的布撤防功能，详见api；
获取设备实时图片接口capturePicture、getRealPicture统一后接口名为captureCamera；
接口setDeviceEncryptStatus和setDeviceEncryptStatusEx合并统一接口名setDeviceEncryptStatus，同时修改参数顺序为deviceSerial、validateCode、encrypt，详见api；
去除接口getCameraList、getDetectorList，在接口getDeviceList返回EZDeviceInfo中有通道和探测器列表，详见api；
去除getDeviceInfo、getCameraInfo、getDeviceInfoBySerial、getTransferMessageInfo、getStreamLimitInfo、createPlayerWithDeviceSerial、openAddDevicePage、openSettingDevicePage、transferAPI、getOpenEzvizServiceSMSCode、              openEzvizService接口，去除视频广场相关接口；
去除获取验证短信相关接口getSmsCode、 secureSmsValidate、validateSecureSMSCode；
去除获取和传入设备验证码接口： setValidateCode和  getValidateCode；
开启推送服务接口 startPushService(Context context, String pushSecret, EZOpenSDKListener.EZPushServerListener pushServerListener) 修改为initPushService(Context context, String pushSecret, EZOpenSDKListener.EZPushServerListener                  pushServerListener)初始化推送服务，详见api文档以及推送对接文档；
新增startPushService() 和 stopPushService() 接口，用于手动开启关闭推送，主要应用在app设置中推送开启关闭的切换；
EZPlayer：播放器接口主类
构造方法修改、优化，详见api；
传入视频加密密码，用于加密视频的解码，接口由 setPlayKey 修改为setPlayVerifyCode ，视频播放时，需要输入验证码，旧版本在sdk弹输入框的，开发者改不了ui，而且在sdk中也不适合做ui层的工作。本版本将弹框放到app层了，开始播放之后在消             息回调中如果收到播放错误的回调，然后查看errorCode，如果为ErrorCode.ERROR_INNER_VERIFYCODE_NEED或者ErrorCode.ERROR_INNER_VERIFYCODE_ERROR则为验证密码错误，需要开发者自己处理弹框让用户重新输入验证密码，然后               调用 setPlayVerifyCode设置密码，然后重新启动播放。
新增获取留言数据接口  getLeaveMessageData，详见api；
新增设置留言下载回调接口setLeaveMessageFlowCallback，详见api；
EZDeviceInfo：设备信息对象
对象属性字段发生改变，详见api
  EZCameraInfo: 通道信息对象
封面  mPicUrl 修改为     cameraCover 字段，对应方法修改为getCameraCover()， setCameraCover(String cameraCover) ；
去掉mCameraId、mDeviceId、mOnlineStatus、mEncryptStatus、mDefence字段，以及对应get，set方法。如有用到需要到对应的EZDeviceInfo中获取；
去掉mDisplayStatus字段，以及对应get，set方法；
修改getVideoLevel()返回值为EZConstants.EZVideoLevel枚举值，详见api文档；
mShareStatus 修改为 isShared; 对应方法修改为setIsShared(int isShared)，getIsShared()；
mChannelNo  修改为 cameraNo; 对应方法修改为    getCameraNo()，setCameraNo(int cameraNo) ；
EZDetectorInfo：探测器类对象
新增 detectorState 字段，表述探测器与报警主机是否连通，0-非联通，1-联通，对应get，set方法获取设置；
新增atHomeEnable、outerEnable、sleepEnable 字段，分别对应 在家模式下、外出模式下、睡眠模式下探测器是否布防，对应get，set方法获取设置。
  EZDeviceRecordFile：设备录像文件信息
对象属性字段发生改变，详见api
 EZAlarmInfo：报警信息对象
channelNo修改为cameraNo通道号，修改对应的get，set方法；
图片是否加密字段使用int型， 0:未加密； 1:已加密，对应setIsEncrypt(int isEncrypt)，   getIsEncrypt()；
去掉 deviceName、checkSum，以及对应的get、set方法。
 EZDeviceVersion：设备版本信息对象
去掉所有set方法
EZLeaveMessage：留言消息对象
去掉channelNo，以及对应的set，get方法。
EZProbeDeviceInfo：查询设备信息对象（设备添加前使用）
对象属性字段发生改变，详见api
 EZUserInfo ：用户信息对象
所有set方法不对外开放；
B、so库jar包更新记录–updateFrom 3.4.4:
libAudioEngine.so、libCpuFeatures.so、libgnustl_shared.so、libhpr.so、libopensslwrap.so、libPlayCtrl.so、libPlayCtrl_v5.so、libPlayCtrl_v7.so、libstreamconvert.so、libSystemTransform.so有修改，需要替换；
新增libAnalyzeData.so、libminiupnpc.so、libext2_uuid.so、libezstreamclient.so库文件；
去掉libCASClientSDK.so、libcrypto.so、libPPVClientSDK.so、libRtspClientSDK.so、libssl.so、libStreamClientSDK.so、libTTSClientSDK.so库文件

C、so库jar包更新记录–updateFrom 4.1:
 libAudioEngine.so、 libezstreamclient.so、libgnustl_shared.so、libopensslwrap.so、libPlayCtrl.so、libPlayCtrl_v5.so、libPlayCtrl_v7.so、libstreamconvert.so、libSystemTransform.so有修改，需要替换；
 新增libminiupnpc.so库文件。
D、功能优化：
优化对讲的效果和稳定性；
修复已知的bug和性能优化。
E、Manifest：
         请检查应用是否有定义此权限，如果有请检查下面红色部分是否为自己app的包名，如果不是请修改为自己的包名，否则有可能与其他app冲突导致无法安装
<!-- Creates a custom permission so only this app can receive its messages. NOTE: APP_PACKAGE.permission.C2D_MESSAGE -->
<permission
    android:name="com.videogo.open.permission.C2D_MESSAGE"
    android:protectionLevel="signature"/>
<!-- This app has permission to register and receive data message. -->
<uses-permission android:name="com.google.android.c2dm.permission.RECEIVE"/>
<!-- Creates a custom permission so only this app can receive its messages. NOTE: APP_PACKAGE.permission.C2D_MESSAGE -->
<uses-permission android:name="com.videogo.open.permission.C2D_MESSAGE"/>